summaryrefslogtreecommitdiff
path: root/games-strategy/dunelegacy
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /games-strategy/dunelegacy
Added ebuilds for kogaion desktop
Diffstat (limited to 'games-strategy/dunelegacy')
-rw-r--r--games-strategy/dunelegacy/Manifest2
-rw-r--r--games-strategy/dunelegacy/dunelegacy-0.96.2.ebuild61
2 files changed, 63 insertions, 0 deletions
diff --git a/games-strategy/dunelegacy/Manifest b/games-strategy/dunelegacy/Manifest
new file mode 100644
index 00000000..f6b153fe
--- /dev/null
+++ b/games-strategy/dunelegacy/Manifest
@@ -0,0 +1,2 @@
+DIST dunelegacy-0.96.2-src.tar.bz2 1437524 SHA256 bdf27bdaa001f37db52ab4747bd563b48334db5df6e6e8314de85a0340649173
+EBUILD dunelegacy-0.96.2.ebuild 1365 SHA256 22416df3f7f40141321acbc65550d4d8c4c933e1d7ae62b963376b8e9015b176 SHA512 39bdecc9782fa4649e7f0df596d6064e9a928b86ac69736884fa9414ce1b61e567081e3b2c7d6c12433049c073f8c0a4f79db7bd5948fab7d769f073470d0c8e WHIRLPOOL f8d13d9166e904be1a6c90da4b6674c2212ece201ca64248555beb7df08ce126b29b8a87c5b05057b2f1bc0acfb70296ab329ac19576e3e655a41a59e6717829
diff --git a/games-strategy/dunelegacy/dunelegacy-0.96.2.ebuild b/games-strategy/dunelegacy/dunelegacy-0.96.2.ebuild
new file mode 100644
index 00000000..f0c96b09
--- /dev/null
+++ b/games-strategy/dunelegacy/dunelegacy-0.96.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils games
+
+
+DESCRIPTION="Dune Legacy is an open source clone of Dune 2."
+HOMEPAGE="http://dunelegacy.sourceforge.net"
+SRC_URI="http://www.myway.de/richieland/${PN}-0.96.2-src.tar.bz2"
+
+LICENSE="GPL-2 or later"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="media-libs/libsdl
+ media-libs/sdl-mixer"
+
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${PN}-0.96.2
+
+src_install() {
+ cd "${S}/src"
+
+ dogamesbin ${PN} || die "dogamesbin failed"
+
+ cd "${S}"
+
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r data/* || die "doins failed"
+
+ doicon dunelegacy.png
+ make_desktop_entry ${PN} "Dune Legacy" dunelegacy.png "Game;StrategyGame;"
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ elog "You will need to copy all Dune 2 PAK files to ${GAMES_DATADIR}/${PN} !"
+ elog ""
+ elog "At least the following files are needed:"
+ elog " - ATRE.PAK"
+ elog " - DUNE.PAK"
+ elog " - ENGLISH.PAK"
+ elog " - FINALE.PAK"
+ elog " - HARK.PAK"
+ elog " - INTRO.PAK"
+ elog " - INTROVOC.PAK"
+ elog " - MENTAT.PAK"
+ elog " - MERC.PAK"
+ elog " - ORDOS.PAK"
+ elog " - SCENARIO.PAK"
+ elog " - SOUND.PAK"
+ elog " - VOC.PAK"
+ elog ""
+ elog "For playing in german or french you need additionally GERMAN.PAK"
+ elog "or FRENCH.PAK."
+}
+